/// class PD.Manage.Services.ModuleService

PD.Manage.Services.ModuleService = Class.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    loadModuleDefinitions: function (callback) {

        PD.ajax({
            type: "GET",
            url: PD.Path.resolve("~/manage/modules/load"),
            success: function (e) {

                for (key in e.modules) {
                    PD.modules.add(key, e.modules[key]);
                }
                
                callback();

            }
        });

    },

    loadModule: function (callback) {



    }

});